MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029640Open CASCADE[OCCT] OCCT:Application Frameworkpublic2018-03-24 10:282018-06-29 21:18
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029640: OCAF - add information on replacement of CDM_MessageDriver in upgrade guide
DescriptionThe changes made within issue 0029220 will lead to need of porting of any application that used old message system of OCAF, to the new one. Relevant indications for porting need to be added to upgrade guide (dox/dev_guides/updrade/upgrade.md)
Steps To ReproduceN/A.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0029220closedbugmaster Application Framework - replace CDM_MessageDriver interface by Message_Messenger 

-  Notes
(0075441)
git (administrator)
2018-04-13 16:13

Branch CR29640 has been created by szy.

SHA-1: 5898575896ce698dfebc4ced693e97364daa11ac


Detailed log of new commits:

Author: szy
Date: Fri Apr 13 16:13:10 2018 +0300

    0029640: OCAF - add information on replacement of CDM_MessageDriver in upgrade guide.
    
    // added a new chapter to upgrade.md.
(0075442)
szy (developer)
2018-04-13 16:15

Added a new chapter "Unification of the Error/Warning reporting system of Application Framework".
(0075748)
szy (developer)
2018-04-28 17:11

Review, please.
(0075779)
mpv (developer)
2018-05-03 13:50

Reviewed. No tests are needed.
(0076113)
abv (manager)
2018-05-23 06:38

Please revise the description to match intent of the upgrade guide: providing indications for the users that might have used the removed interface on how to port to 7.3.0. I deem that it is highly unlikely that someone was using CDM_MessageDriver to *send* messages, thus there is no much need to mention the method WriteMessage(). Instead, imagine the user who has his own class inheriting CDM_MessageDriver and passes it to OCAF to get its output, and explain how to accomodate to the new API.
(0076295)
git (administrator)
2018-05-24 18:44

Branch CR29640_1 has been created by abv.

SHA-1: d7a49f71ab16f4acbd1511b9c9a19e4a58b1bbe0


Detailed log of new commits:

Author: abv
Date: Thu May 24 18:43:22 2018 +0300

    0029640: OCAF - add information on replacement of CDM_MessageDriver in upgrade guide.
    
    Information on replacement of CDM_MessageDriver by Message_Messenger is added in the upgrade guide.
    This replacement is recorded as rename in upgrade.dat
(0076296)
abv (manager)
2018-05-24 18:45

Reimplemented in branch CR29640_1
(0076352)
abv (manager)
2018-05-25 19:17

Added to branch CR0-OCCT730beta for integration
(0076912)
git (administrator)
2018-06-23 13:56

Branch CR29640 has been deleted by kgv.

SHA-1: 5898575896ce698dfebc4ced693e97364daa11ac
(0076913)
git (administrator)
2018-06-23 13:56

Branch CR29640_1 has been deleted by kgv.

SHA-1: d7a49f71ab16f4acbd1511b9c9a19e4a58b1bbe0

- Related Changesets
occt: master 949f2c74
Timestamp: 2018-05-24 15:43:22
Author: abv
Committer: abv
Details ] Diff ]
0029640: OCAF - add information on replacement of CDM_MessageDriver in upgrade guide.

Information on replacement of CDM_MessageDriver by Message_Messenger is added in the upgrade guide.
This replacement is recorded as rename in upgrade.dat
mod - adm/upgrade.dat Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
occt: master 64e93ce1
Timestamp: 2018-05-24 15:43:22
Author: abv
Committer: abv
Details ] Diff ]
0029640: OCAF - add information on replacement of CDM_MessageDriver in upgrade guide.

Information on replacement of CDM_MessageDriver by Message_Messenger is added in the upgrade guide.
This replacement is recorded as rename in upgrade.dat
mod - adm/upgrade.dat Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-24 10:28 abv New Issue
2018-03-24 10:28 abv Assigned To => mpv
2018-03-24 10:28 abv Relationship added child of 0029220
2018-03-26 11:13 mpv Assigned To mpv => szy
2018-04-13 16:13 git Note Added: 0075441
2018-04-13 16:15 szy Note Added: 0075442
2018-04-13 16:15 szy Assigned To szy => abv
2018-04-13 16:15 szy Status new => resolved
2018-04-13 16:15 szy Steps to Reproduce Updated View Revisions
2018-04-28 17:10 szy Assigned To abv => mpv
2018-04-28 17:11 szy Note Added: 0075748
2018-05-03 13:50 mpv Note Added: 0075779
2018-05-03 13:50 mpv Assigned To mpv => bugmaster
2018-05-03 13:50 mpv Status resolved => reviewed
2018-05-23 06:38 abv Note Added: 0076113
2018-05-23 06:38 abv Assigned To bugmaster => szy
2018-05-23 06:38 abv Status reviewed => assigned
2018-05-24 18:44 git Note Added: 0076295
2018-05-24 18:45 abv Note Added: 0076296
2018-05-24 18:45 abv Assigned To szy => mpv
2018-05-24 18:45 abv Status assigned => resolved
2018-05-25 19:17 abv Note Added: 0076352
2018-05-25 19:17 abv Assigned To mpv => bugmaster
2018-05-25 19:17 abv Status resolved => reviewed
2018-05-29 12:33 abv Changeset attached => occt master 949f2c74
2018-05-29 12:33 abv Assigned To bugmaster => abv
2018-05-29 12:33 abv Status reviewed => verified
2018-05-29 12:33 abv Resolution open => fixed
2018-05-29 15:54 abv Changeset attached => occt master 64e93ce1
2018-06-23 13:56 git Note Added: 0076912
2018-06-23 13:56 git Note Added: 0076913
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:18 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker